[lfs-support] (LFS 7.9) 5.10. GCC-5.3.0 - Pass 2 error loading plugin: /lib64/libc.so.6: version `GLIBC_2.14' not found

Madhusudhan Acharya mail2_maddy at yahoo.co.in
Tue May 3 20:27:52 PDT 2016


Thank you for pointing out the required GCC version and missing texinfo package.

I am not sure how i missed the version required. 

I will try to build a fresh by installing required packages. 
-----------------------
Maddy



On Tuesday, 3 May 2016 10:08 PM, Thanos Baloukas <baloukasthan at sch.gr> wrote:
On 03/05/2016 04:47 μμ, Madhusudhan Acharya wrote:
> Hi
>
> I am trying to build a new system using CentOS 6.7 as the
> base by referring LFS-BOOK-7.9 for the build purpose. In
> the stage "5.10. GCC-5.3.0 - Pass 2", i am seeing below
> error while running make command
>
> /lfs/tools/bin/../lib/gcc/x86_64-lfs-linux-gnu/5.3.0/../../../../x86_64-lfs-linux-gnu/bin/ld: /lfs/sources/gcc-5.3.0/build/./gcc/liblto_plugin.so: error loading plugin: /lib64/libc.so.6: version `GLIBC_2.14' not found (required by /lfs/sources/gcc-5.3.0/build/./gcc/liblto_plugin.so)
>
> All required packages seems to be present in the system
>
> [root at maddy-linux-dev ~]# bash version-check.sh
> bash, version 4.1.2(1)-release
> /bin/sh -> /bin/bash
> Binutils: version 2.20.51.0.2-5.43.el6 20100205
> bison (GNU Bison) 2.4.1
> yacc is /usr/bin/yacc - 1.9 20070509
> bzip2,  Version 1.0.5, 10-Dec-2007.
> Coreutils:  8.4
> diff (GNU diffutils) 2.8.1
> find (GNU findutils) 4.4.2
> GNU Awk 3.1.7
> /usr/bin/awk -> /bin/gawk
> gcc (GCC) 4.4.7 20120313 (Red Hat 4.4.7-16)
> g++ (GCC) 4.4.7 20120313 (Red Hat 4.4.7-16)
> (GNU libc) 2.12
> grep (GNU grep) 2.20
> gzip 1.3.12
> Linux version 2.6.32-573.el6.x86_64 (mockbuild at c6b9.bsys.dev.centos.org) (gcc version 4.4.7 20120313 (Red Hat 4.4.7-16) (GCC) ) #1 SMP Thu Jul 23 15:44:03 UTC 2015
> m4 (GNU M4) 1.4.13
> GNU Make 3.81
> patch 2.6
> Perl version='5.10.1';
> GNU sed version 4.2.1
> tar (GNU tar) 1.23
> version-check.sh: line 42: makeinfo: command not found
> xz (XZ Utils) 4.999.9beta
> g++ compilation OK
>
>
> Am i missing anything here? Can someone suggest me how i can solve this issue?
>
> thanks in advance
> Maddy
>
Your host seems to not meet the requirements in:


gcc (GCC) 4.4.7 20120313 (Red Hat 4.4.7-16)
g++ (GCC) 4.4.7 20120313 (Red Hat 4.4.7-16)
version-check.sh: line 42: makeinfo: command not found

The book says that the minimum requirement is GCC-4.7
You don't have Texinfo also.

-- 
Thanos
-- 
http://lists.linuxfromscratch.org/listinfo/lfs-support
FAQ: http://www.linuxfromscratch.org/blfs/faq.html
Unsubscribe: See the above information page

Do not top post on this list.

A: Because it messes up the order in which people normally read text.
Q: Why is top-posting such a bad thing?
A: Top-posting.
Q: What is the most annoying thing in e-mail?

http://en.wikipedia.org/wiki/Posting_style


More information about the lfs-support mailing list